# SceneMode

#### SceneMode()
Scene/SceneMode.js 14

Indicates if the scene is viewed in 3D, 2D, or 2.5D Columbus view.

##### See:

- Scene#mode

### Members

#### static constantCesium.SceneMode.COLUMBUS_VIEW : Number
Scene/SceneMode.js 30

Columbus View mode. A 2.5D perspective view where the map is laid out flat and objects with non-zero height are drawn above it.

#### static constantCesium.SceneMode.MORPHING : Number
Scene/SceneMode.js 21

Morphing between mode, e.g., 3D to 2D.

#### static constantCesium.SceneMode.SCENE2D : Number
Scene/SceneMode.js 38

2D mode. The map is viewed top-down with an orthographic projection.

#### static constantCesium.SceneMode.SCENE3D : Number
Scene/SceneMode.js 46

3D mode. A traditional 3D perspective view of the globe.

### Methods

#### staticCesium.SceneMode.getMorphTime(value) → Number
Scene/SceneMode.js 55

Returns the morph time for the given scene mode.

Name | Type | Description
--- | --- | ---
`value` | SceneMode | The scene mode

##### Returns:

The morph time